package com.manage.service;

import com.manage.entity.Power_Detailed_Menu;
import com.manage.entity.Power_Menu;
import com.manage.entity.Power_Menu_User;

import java.util.List;

/**
 * @Author:hjl
 * @Date:Creatid in 1:21 2019/4/17
 * @Description:
 */
public interface Power_MenuService {
    List<Power_Menu>  queryAllPowerMenu(String sysFlag,Integer roleId);

     /* 2019-04-29 zengwh
      * 查询菜单
      * */
    List<Power_Menu> selectAll(Integer sysId, Integer isEffective,Integer roleId);
    /* 2019-04-29 zengwh
     * 新增菜单
     * */
    void addMenu(Power_Menu menu,String sysName);
    /* 2019-04-29 zengwh
     * 根据菜单id删除菜单对象
     * */
    void deleteMenuByMenuId(Integer menuId);
    /* 2019-04-29 zengwh
     * 更新菜单
     * */
    void updateMenu(Power_Menu menu,String sysName);
    /**
     * @Date 2019-08-15
     * @Author zengwenhe
     * @Description 验证同一系统菜单名不能重复
     * */
    List<Power_Menu> checkMenuNameBySysId(String sysFlag,String menuName);
    /**
     * @Date 2019-08-19
     * @Author zengwenhe
     * @Description 验证同一菜单方法名不能重复
     * */
    List<Power_Menu> checkMethodByParentId(Integer parentId,String menuName,String method);
    /**
     * @Date 2019-10-30
     * @Author zengwenhe
     * @Description 非管理员菜单
     * */
    List<Power_Menu> selectUserAndRoleMenuListPower(Integer userId,String sysFlag);
}
